Technical Tip

Konstruktionsstudie Volumenberechnung

Viele Nutzer von SOLIDWORKS suchen lange iterativ nach Lösungen für verschiedene Problemstellungen - dabei kann uns SOLIDWORKS die ganze Arbeit abnehmen.

Im unserem Beispiel möchten wir herausfinden, wie hoch ein Bunker werden muss, damit er ein Volumen von mindestens 1.2 m3 erhält.


Schritt 1

Zuerst starten wir mit der Schaltfläche Konstruktionsstudie im Menü "Evaluieren".

Schritt 2

Wir definieren die Variable Höhe.

Schritt 3

Danach korrigieren wir die min. und max. Werte, sowie die Schrittweite.

Schritt 4

Ein Sensor wird hinzugefügt: [Volumen].

Schritt 5

Das Volumen 1 muss als Zwangsbedingung grösser als 1.2 m3 sein. Dann starten wir die Konstruktionsstudie mit [Ausführen].

Schritt 6

Wir sehen, dass unsere Vorgaben in Szenario 9 erfüllt werden. Also wählen wirSeznario 9.

Resultat

Ein Volumen von 1.240m3 ergibt sich bei einer Höhe von 1680mm.
Hier noch der gesamte Prozess in Video-Format:

Viel Spass beim Ausprobieren.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Vereinfachtes Erstellen von Konstruktionsstudien

In SOLIDWORKS PDM Professional 2018 sind neue Funktionen für das vereinfachte Erstellen von Konstruktionsstudien dazugekommen.

Werden neue Varianten von Teilen entwickelt, kann die Verwaltung in PDM mit den Funktionen „Verzweigung…“ (Branch…) und später mit der neu entwickelten Variante „Zusammenführen…“ (Merge…) vereinfacht werden.

Im nachfolgenden Beispiel sollen die Sitzkissen des bekannten Camping-Fahrzeugs modifiziert werden:

Schritt 1

Dazu werden in PDM die Ausgangsdokumente in den Status „Work in Process“ gesetzt. Somit wird eine neue Revision erzeugt.

Schritt 2

Die Funktion Verzweigung finden sich als Kontextmenü „rechte-Maustaste“ oder unter „Extras“.

Schritt 3

Nun wird die Verzweigung (Studie) definiert:

Verzweigungsname, Standardziel (Zielverzeichnis), Name der Zieldatei mit Präfix oder Sufix.

Schritt 4

Die neuen Dateien werden erzeugt und können nun bearbeitet werden.

Schritt 5

Ist das Resultat der erarbeiteten Studie noch nicht befriedigend, können weitere Studien (Verzweigungen) erstellt werden.

Als Beispiel erstellen wir nun eine zweite Studie:

Schritt 6

Das Resultat ist nun zufriedenstellend. Somit werden die neu erstellten Dateien wieder mit den Original-Dateien zusammengeführt.

Ist im Explorer die Original-Datei selektiert, können die Studien anhand der Funktion „Zugeordnete Verzweigungen“ später wieder gefunden werden:

An dieser Stelle kann direkt zur Verzweigung navigiert, oder die Zusammenführung vollzogen werden.

Schritt 7

Das Zusammenführen kann auch auf der Studien-Datei erfolgen.

Schritt 8

Die neue Revision erhält nun den Inhalt der massgebenden Studie.

Schritt 9

Die neugestaltete Baugruppe ist nun fertig.

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

SOLIDWORKS Online Lizenzierung

Die SOLIDWORKS Online Lizenzierung ist ein Lizenzmodell, das eine oder mehrere Einzellizenzen von SOLIDWORKS-Produkten an die SOLIDWORKS-ID eines Benutzers bindet. Mit der Online-Lizenzierung von SOLIDWORKS haben Anwender die Flexibilität, SOLIDWORKS-Produkte auf beliebig vielen Maschinen zu installieren und zu nutzen, ohne dass sie diese jedes Mal aktivieren oder deaktivieren müssen.

Alles, was Sie dafür brauchen, ist eine Verbindung zum Internet. Aber auch für Reisende steht ein Offline-Modus zur Verfügung.

Um eine Einzellizenz eines SOLIDWORKS 2018 Produktes von der Rechner-Aktivierung zu einer Online Lizenz umzustellen, sind folgende Schritte nötig:

Schritt 1

Als erstes brauchen wir eine SOLIDWORKS ID. Eine ID benötigt der Lizenzverwaltungs-Administrator sowie jeder Benutzer, der eine Online Lizenz verwenden möchte. Die ID ist identisch mit dem Zugang zum SOLIDWORKS Kundenportal. Wenn Sie noch keine ID besitzen, können Sie sich ganz einfach auf my.solidworks.com unter „Teilnehmen“ registrieren.

Schritt 2

Nach der Anmeldung wechseln wir zum „Admin Portal“.

Schritt 3

Auf der Seite „Members“ muss nun die gewünschte Lizenz einem User zugewiesen werden.

Schritt 4

Anschliessend kann unter „Products“ die gewünschte Lizenz von „Machine Activation“ zur Online Lizenz gewechselt werden.

Der Lizenztyp kann jederzeit wieder geändert werden.

Schritt 5

Somit sind alle Voraussetzungen für die Verwendung der entsprechenden Lizenzen erfüllt.

Beim Starten von SOLIDWORKS werden Sie nun aufgefordert, sich - anstelle der Aktivierung - mit der SOLIDWORKS ID anzumelden.

Während dem Arbeiten mit SOLIDWORKS ist es nun essenziell, dass die Verbindung zum Internet bestehen bleibt.

Alternativ kann die Lizenz bis zu maximal 30 Tagen Offline gesetzt werden.

Wir wünschen Ihnen viel Spass beim Arbeiten mit unseren SOLIDWORKS Produkten!


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Die ALT-Taste in SOLIDWORKS

Das Verhalten einer Funktion kann durch Tastenkombinationen beeinflusst werden. Durch Betätigung der Shift, Ctrl oder Alt-Taste verändern Sie blitzschnell die Funktionen grundlegend. In diesem Technical Tip zeigen wir ein paar nützliche Beispiele für die Verwendung der ALT-Taste auf:

Beispiel 1

Standardverknüpfungen durch Drag & Drop und kurzzeitiges Drücken auf die ALT-Taste:

  • Bei der Auswahl von planaren Flächen Deckungsgleiche Verknüpfungen erstellen.
  • Wechseln der Richtung durch Betätigung der Tabulator–Taste.
  • Konzentrische Verknüpfungen erstellen bei der Auswahl von konzentrischen Flächen.
  • Konzentrische und Deckungsgleiche (Zapfen auf Bohrung) Verknüpfungen erstellen bei der Auswahl einer konzentrischen Kante.

Beispiel 2

Modellansicht rollen/drehen in einem Teil oder Baugruppe:

  • Modell wird mit den Pfeiltasten gedreht.
  • Pfeiltasten + Alt-Taste rollt das Modell nach links oder rechts.

Beispiel 3

Im FeatureManager die Baugruppenstruktur ändern:

  • Beim Verschieben von Teilen werden diese nicht in eine Unterbaugruppe gezogen, sondern darunter positioniert.

Beispiel 4

In der Zeichnung einfacher Zeichnungsansichten und Tabellen verschieben:

  • Bei Zeichnungsansichten innerhalb der Ansicht Drag & Drop + ALT-Taste drücken um die Ansicht zu verschieben.
  • Mit der Alt-Taste können Sie Tabellen verschieben, ohne dass Sie den speziellen Ankerpunkt auswählen. So kann die Tabelle auch direkt über eine Zelle angewählt werden, um sie zu verschieben.

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Manuelles Reverse-Engineering mit Oberflächen

Anlässlich des 88. Internationalen Autosalons in Genf haben wir uns gedacht, wir scannen doch einen Rückspiegel und zeigen anhand dieses Tipps die Möglichkeiten des Reverse Engineerings in SOLIDWORKS auf.

Unser 3D-Scan-Guru, Thomas Mihatsch, scannt extra für uns seinen Rückspiegel:

Schritt 1

Sobald wir den Scan als Netzdaten haben, öffnen wir diesen in SOLIDWORKS.

Das Netz wird nun innerhalb von SOLIDWORKS als grafisches Netz angezeigt. Ein grafisches Netz wird nur, wie es die Bezeichnung bereits andeutet, als Grafik angezeigt: Es können also keine Punkt oder Kanten abgegriffen werden. Somit ist eine Weiterverarbeitung mit diesem Netz schwierig.

Schritt 2

In SOLIDWORKS 2018 können wir nun dieses Netz in ein Oberflächen-Netz umwandeln, was uns erlaubt, Geometrien wie zum Beispiel Skizzen von einzelnen Netzpunkten abhängig zu machen.

Schritt 3

Als Nächstes muss nun entschieden werden, wie der Körper aufgebaut werden soll. Bei komplexeren Geometrien gibt es immer mehrere Wege, wie man zum gewünschten Ergebnis kommen kann. Wir entscheiden uns an dieser Stelle dafür, dass der Rückspiegel aus drei Begrenzungsoberfächen bestehen soll, welche miteinander verrundet werden.

Unten wird eine planare Fläche gelegt, die anderen beiden zu erstellenden Flächen werden mit unterschiedlichen Farben dargestellt:

Schritt 4

Wir fangen mit der einfachsten Fläche an – auf der Ebene oben wird eine neue Skizze erstellt. Auf dieser wird ein Rechteck gezeichnet, welches deutlich grösser ist, als die Ursprungsgeometrie. Sobald mit Oberflächen gearbeitet wird, werden ALLE Flächen immer zu gross erstellt, damit das nachfolgende Trimmen der Oberflächen sich einfacher gestaltet.

(in diesem Bild wird ersichtlich, dass einige Elemente des Netzes höher liegen als die Ebene, andere wiederum ein wenig tiefer. Beim Reverse Engineering muss immer darauf geachtet werden, wie gross die Abweichung vom eigentlichen Netz zum finalen Modell sein darf. Für unser Beispiel ist diese Annäherung durchaus zulässig).

Schritt 5

Damit nun die Begrenzungsoberfläche erstellt werden kann, benötigen wir mehrere Skizzen, die über die gesamte Geometrie verteilt sind. Dazu erstellen wir eine Offset Ebene zur Ebene rechts.

Schritt 6

Danach verwenden wir diese Ebene als Schnittebene, damit wir die Schnittkante des Netzes sehen.

Schritt 7

Auf dieser Ebene erstellen wir sogleich eine Skizze mit einer Spline, welcher dem Netz folgt.

Die Schritte 6-8 wiederholen wir, um mehrere Skizzen zu erstellen, welche anschliessend in einer Begrenzungsoberfläche verwendet werden können.

Schritt 8

Bei einer Begrenzungsoberfläche kann es nötig sein, diese noch mit Skizzen in Richtung 2 zu ergänzen, damit der Übergang geschmeidiger verläuft. Die Skizzen, die hier erstellt werden, sollten in Abhängigkeit zu den anderen Skizzen stehen. Dies wird so gelöst, dass auf der Spline, die nun neu gezeichnet wird, Punkte ergänzt werden, und diese mit der Beziehung „Anstecken“ auf die anderen Skizzen verknüpft werden.

Jetzt sehen wir das Ergebnis:

Schritt 9

Die komplette Abfolge aller Schritte wird nun für die obere Fläche repetiert. Das Resultat lässt bereits die fertige Form vermuten:

Schritt 10

Die Ebenen werden noch verlängert, damit ein reibungsloser Trimmvorgang durchgeführt werden kann.

Schritt 11

Neben der Trimmfunktion „gegenseitig“ gibt es auch noch die Funktion „standard“ – diese wird dann verwendet, wenn eine Fläche gegenüber einer Skizze oder einer Ebene getrimmt werden soll.

Schritt 12

Nun fehlen dem Modell noch die Verrundungen. Da es sich bei unserem Teil um einen Rückspiegel handelt, sollen die Übergänge der Radien möglichst „weich“ sein, also wählen wir die Option „Durchgehende Krümmung“ aus. Diese gewährleistet einen Radien-Übergang mit der Krümmungsstetigkeit C2, welcher in der Automobilbranche als Standard gilt.

Das fertige Modell kann sich sehen lassen:

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Erstellen von Makros in SOLIDWORKS

Wussten Sie, dass Sie in SOLIDWORKS ganz einfach Makros erstellen können, um ihre Dateien mit einem Klick in verschiedenen Formaten abzuspeichern? Wir zeigen Ihnen wie!

Schritt 1

Sobald ein neues Makro erstellt wurde, erhalten wir die folgenden Zeilen Code:

In der ersten Zeile erstellen wir ein leeres Objekt, welchem wir später zuweisen, was es beinhalten soll.

In der zweiten Zeile eröffnen wir unsere Hauptfunktion. Dies ist unser Startpunkt. In der folgenden Zeile weisen wir nun unserem Objekt die Funktionen von SOLIDWORKS zu. In der letzten Zeile wird sogleich unsere Hauptfunktion wieder beendet.

Schritt 2

Um uns langsam heranzutasten, speichern wir unsere Datei mit einem fest definierten Pfad und einem fest definierten Dateinamen ab.

Nun haben wir ausserhalb unserer Hauptfunktion drei neue Variablen definiert.

Die ersten beiden sind Strings (Datentypen), also Zeichenfolgen denen wir in der Hauptfunktion den genauen Pfad zuweisen und den genauen Dateinamen.

Die dritte Variable swModel, welche wir erstellt haben, ist vom Datentyp SldWorks.ModelDoc2. In diesem Datentyp können wir das aktive Dokument speichern. Dies machen wir in der Hauptfunktion mit

Set swModel = swApp.ActiveDoc

Sobald dies geschehen ist, können wir das Dokument auch wieder speichern. Dazu wird ganz einfach eine Funktion von diesem Datentyp aufgerufen.

swModel.SaveAs (Pfad & Dateiname)

Bei dieser Funktion geben wir in Klammern an, wo und in welchen Dateiformat diese gespeichert werden soll. Hierbei können wir zwei Strings durch ein Setzen von "&" verknüpfen.

Schritt 3

Nun möchten wir hierfür aber keinen festen Pfad angeben, sondern die neue Datei dort speichern, wo die aktuelle Datei bereits liegt.

Hierfür gehen wir wie folgt vor:

Wir erstellen zwei neue Variablen mit dem Datentyp Object. In der Hauptfunktion weisen wir dann dem Object „FSO“ ein FileSystemObject zu. Dies dient dazu, um auf sichere Art und Weise mit dem Lokalen Dateisystem zu arbeiten.

Dem zweiten Object „Datei“ wird direkt die im SOLIDWORKS geöffnete Datei zugewiesen.

Mit swModel.GetPathName erhalten wir den absoluten Pfad zu der geöffneten Datei, z.B. „C:\Dokumente\MeinPart.SLDPRT“. Da wir nun aber nur den Pfad zu dem Ordner benötigen, müssen wir dies trennen.

Da das Object „Datei“ nun unser geöffnetes Dokument enthält können wir ganz einfach mit "FSO.GetParentFoldername(Datei)" den Pfad bis zum Ordner abfragen - z.B. „C:\Dokumente“

Beim Speichern können Pfad und Dateiname auf eine sichere Art wieder mit "FSO.BuildPath(Pfad,Dateiname)" zusammengefügt werden.

Schritt 4

Nun sollte der Dateiname ebenfalls dynamisch werden, sodass wir nur mit der Dateiendung festlegen, welche Formate wir speichern möchten.

Nun können wir mit "FSO.GetFileName(Datei)" den Namen der aktuellen Datei abfragen. Dieser wäre „MeinPart.sldprt“. Da wir nun aber die Endung ersetzen wollen, müssen wir diese zunächst entfernen.

Dies machen wir in einem Schritt. Die Funktion "Replace" nimmt uns dabei die Arbeit ab. Als ersten Parameter geben wir die Zeichenfolge an, in der etwas ersetzt werden soll. Als zweiten Parameter geben wir an, was ersetzt werden soll. In dem Fall fragen wir mit "FSO.GetExtensionName(Datei)" die korrekte Endung ab. Mit dem dritten Parameter geben wir an, durch was dies ersetzt werden soll. In unserem Fall mit nichts.

Somit brauchen wir bei der Funktion zum speichern nur noch die Endung miteinfügen.

Schritt 5

Zum Schluss soll dieses Makro nun noch in das Menü Band von SOLIDWORKS eingefügt werden.

Mit Rechtsklick auf das Menüband und anschliessendem Linksklick auf "Anpassen" wird das Anpassungsfenster geöffnet.

Nun können wir unter dem Reiter Befehle den Menüpunkt Makro auswählen und den Button "Neue Makro Schaltfläche" an den Punkt ziehen, an dem wir dies einfügen wollen.

Nun müssen wir nur noch unser Makro auswählen und gegebenfalls das Symbol, Tooltip und Beschreibung anpassen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Einfaches Konstruieren mit Mehrkörper-Teilen

In der Ausbildung haben wir gelernt: ein Teil hat nur ein Volumen. Diese Regel bestätigen Ausnahmen wie Blech- und Stahlbau-Konstruktionen. Teilweise kann es aber hilfreich sein, auch mit unverbundenen Volumen in einem Teil zu arbeiten.

Als Beispiel hier die Entstehung einer Kurbelwelle für 4 Zylinder. Zum besseren Verständnis werden verschiedene Farben verwendet.

Schritt 1

Wir starten mit einer kleinen Welle. Diese wird mit einem definierten Abstand 5 x kopiert.

Da die einzelnen Wellen nicht miteinander verbunden sind, entstehen somit 5 unabhängige Volumenkörper. Diese werden im Feature-Manager im Ordner „Volumenkörper“ aufgelistet.

Schritt 2

Zwischen dem roten und gelben Wellenteil wird die Pleuelstangenachse konstruiert.

Bei der Konstruktion der Schwungmasse muss darauf geachtet werden, dass beim Erstellen der linearen Austragung die Funktion „Ergebnis verschmelzen“ ausgeschaltet ist. Anschliessend wird die Pleuelstange gespiegelt.

Schritt 3

Zu diesem Zeitpunkt sind die Körper noch nicht miteinander verbunden, das bedeutet, dass diese nun auch im Ordner „Volumenkörper“ aufgelistet werden. Der Einfachheit halber wurden diese umbenannt - ein probates Mittel, um sich im Feature-Baum auch bei komplexen Konstruktionen zurechtzufinden.

Die Pleuelstangenachse und die Schwungmassen „links“ und „rechts“ werden nun zu einem Körper kombiniert. Die daraus resultierende Anzahl der Volumenkörper werden im Bild unten rechts aufgezeigt. Der passende Befehl dazu ist unter „Einfügen - Features - Kombinieren“ zu finden.

Schritt 4

Nun wird eine Bohrung in den neuen Körper „Kombinieren“ platziert und verrundet.

Schritt 5

Der kombinierte Körper wird durch die Verwendung des „Linearen Muster“ vervielfältigt. Die Richtung des linearen Muster wird mit Hilfe der temporären Achsen durchgeführt.

Schritt 6

Das sieht ja mal schön aus, nur sollten zwei Schwungmassen um 180° versetzt sein. Die passende Funktion dazu ist „Körper verschieben“. Ist diese nicht gleich zur Hand, kann jederzeit im Hilfefenster danach gesucht werden.

Innerhalb des Befehls wird das Kapitel „Drehen“ aktiviert. Als Drehachse wird erneut die temporäre Achse verwendet. Die temporären Achsen werden nicht mehr benötigt und können nun ausgeblendet werden.

Schritt 7

Jetzt werden alle Volumina mittels „Kombinieren“ zu einem Körper zusammengesetzt. Dazu gilt es im Feature-Manager alle Volumina auszuwählen und mittels rechter Maustaste zu „Kombinieren“. Daraus ergibt sich:

Da im SOLIDWORKS Modell nur noch ein Körper vorhanden ist, wird der Ordner „Volumenkörper“ nicht mehr angezeigt.

Schritt 8

Eine weitere wertvolle Funktion: Die im Bild markierte Bohrung inklusive Verrundung ist überflüssig. Um dies mit den bestehenden Features zu ändern, müsste wohlmöglich der gesamte Aufbau des Modells anders strukturiert werden.

Mit der Funktion „Fläche löschen“ können Bohrung und Verrundungen ausgewählt werden und mittels „löschen und Patch erstellen“ komplett gefüllt werden.

Beispiel: Die zweite Schwungmasse soll nun um 10 mm näher an die erste gesetzt werden.

Hierfür eignet sich die Funktion „Fläche verschieben“, um anschliessend die gesamte zweite Schwungmasse grosszügig mit einem Fenster auswählen zu können. Wert und Richtung der Verschiebung angeben, Befehl abschliessen und schon ist dies erledigt!

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Variables Muster

Wir möchten eine Geometrie in unterschiedlichen Grössen und Abständen mustern, am besten mit einer konfigurierbaren Tabelle. Einzelne Instanzen der Geometrien sollen in Konfigurationen verwendet und somit unterdrückt werden. Die Lösung? Das Feature „Variables Muster“!

Schritt 1

Alle Bemassungen, die wir konfigurieren möchten, sollen nun umbenannt werden.

Schritt 2

Als nächtes wählen wir das Feature „Variables Muster“ aus

Schritt 3

Nun selektieren wir im aufklappbaren Feature Baum die Features, die gemustert werden sollen. Anschliessend bearbeiten wir noch die Muster-Tabelle:

Schritt 4

Die Bemassungen, die konfiguriert werden sollen, können per Mausklick der Tabelle zugefügt werden.

Gleichzeitig können weitere Instanzen der ausgewählten Features erstellt und konfiguriert werden.

Schritt 5

Anhand der Funktion „Vorschau aktualisieren“ können die Instanzen auch im 3D Modell dargestellt werden.

Schritt 6

Im „Variables Muster“ Feature werden nun alle Instanzen dargestellt. Diese können je nach Wunsch unterdrückt werden.

Schritt 7

Somit steht der Konfiguration nichts mehr im Weg. Nun sehen wir die drei Konfigurationen mit unterdrückten Instanzen anhand der Funktion „Variables Muster“.

Schritt 8

Natürlich kann auch die „Verrundung1“ konfiguriert werden. So könnte sich eine Variante präsentieren:


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Der papierlose Weg

Viele von Ihnen arbeiten mittlerweile mit SOLIDWORKS PDM Professional. Wussten Sie, dass nicht nur mit dem Windows Explorer sondern auch via Webbrowser plattformunabhängig auf SOLIDWORKS PDM Professional zugegriffen werden kann?

Damit lassen sich zum Beispiel ohne Softwareinstallation via Webbrowser in der Produktion Zeichnungen, Modelle oder Baugruppen elektronisch auffinden und betrachten. Zudem können diese mit zusätzlichen Informationen ergänzt oder Fotos aus der Produktion dem Projekt hinzufügt werden.

Stellen Sie sich vor, Sie sind unterwegs zu einem Kunden und möchten kurz einige Informationen zum laufenden Projekt/Auftrag, wie zum Beispiel Fotos einer bestehenden Anlage, mitnehmen.

Schritt 1

Die nachfolgenden Beispiele und Bilder basieren auf der Testumgebung in unserer fiktiven Firma „Kreativ AG“. Als mobile Geräte wurden das Samsung Galaxy S7 und das Samsung Tab S2 7“ verwendet.

Projektansicht der Web- und Mobilversion:

Mobil Web

Schritt 2

Egal in welcher Darstellung wir arbeiten, nun können Dokumente gesucht, gefunden und anzeigt werden:

Schritt 3

Wussten Sie, dass es eDrawings für Android oder IOS gibt? Mit eDrawings haben Sie unter anderem die Möglichkeit, Modelle, Baugruppen und Zeichnungen zu öffnen, drehen sowie Schnitte zu legen.

In unserem Beispiel können wir noch einen Schritt weitergehen und neue Dokumente vom Mobilgerät direkt in unser Projekt hinzufügen.

Diese Möglichkeit zeigen wir Ihnen auf, indem wir die entsprechenden Teile oder Montagen von Baugruppen mit dem Mobilgerät fotografieren und direkt dem PDM hinzufügen. Nachdem wir uns in den entsprechenden „Bilder-Speicher-Pfad“ navigiert haben, können wir per „Hochladen und Einchecken“ die Aktion auswählen. In unserem Fall „Kamera“.

Schritt 4

Mit der Schaltfläche „Weitere Dateien hinzufügen“ können im gleichen Schritt mehrere Fotos erstellt und hinzugefügt werden.

Schritt 5

Mit „Hochladen und Einchecken“ können die erstellen Fotos in das PDM geladen und eingecheckt werden.

Schritt 6

In dem uns bekannten Explorer-Interface sieht das Ergebnis nun folgendermassen aus:

Um vom plattformunabhängigen Web2 User Interface von SOLIDWORKS PDM Professional zu profitieren, muss vorgängig die Funktionalität auf dem jeweiligen Server eingerichtet werden. Zudem muss jeweils eine freie Lizenz für den Zugriff zu Verfügung stehen. Gerne unterstützen wir Sie beim Einrichten, respektive weiterführenden Fragen.

Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Ein bewegtes Leben mit der „Murmeli-Bahn“

Die Sommerferien sind rum, und der Ernst des Lebens beginnt von neuem.

Bei einigen von uns beginnt vielleicht auch ein neuer Abschnitt im Leben, in dem wir unsere Kinder zum ersten Mal in die Schule oder in den Kindergarten schicken. Eines aus der Zeit im Kindergarten ist bestimmt jedem von uns in Erinnerung geblieben – die faszinierende „Murmeli-Bahn“.

Man konnte immer wieder neue Murmeln platzieren und wusste nie so genau, welche Murmel jetzt die schnellste ist! Wussten Sie, dass man so etwas ganz einfach in SOLIDWORKS aufbauen und simulieren kann?

Aber zuerst ein paar Basics:

Nehmen wir mal diese Baugruppe als Anhaltspunkt:

Schritt 1

Die aktuellen Verknüpfungen schränken die Position zwar ein, aber die Ausfahrbewegung kann noch gemacht werden.

Schritt 2

Es fällt nun auf, dass die Teile verschoben werden können, jedoch gibt es keine Limitierungen. Die Teile können also über Ihre Führung hinaus verschoben werden: Es besteht aktuell keine Verknüpfung.

Es gibt nun zwei Arten von Verknüpfungen, die die Bewegung limitieren:

1. Die Limit Abstand Verknüpfung

Sie befindet sich unter den erweiterten Verknüpfungen. Es können sowohl der Minimal- und Maximalwertstrong>, sowie der aktuelle Wert des Abstands definiert werden.

Jedoch müssen wir die Geometrie des Teils genau kennen, damit wir die richtigen Werte eingeben können. Sobald sich ein Wert ändert, kann es sein, dass wir die Verknüpfung überarbeiten müssen.

2. Die Langlochverknüpfung

Diese ist in unserem Beispiel die deutlich elegantere Variante, weil keine Werte eingegeben werden müssen, da genau über die Länge des Langlochs die Verknüpfung automatisch gesteuertstrong> wird.

Zudem kann noch eingestellt werden, ob diese Verknüpfung starr ist (bspw. mit der Option „Im Langloch zentrieren“ oder wie in unserem Beispiel mit „Frei“)

Schritt 3

Und immer noch fragen Sie sich zu Recht: und was hat das mit der Murmelbahn zu tun?

Jetzt kommen wir langsam zum spannenden Teil:

Wenn Sie das Video oben genauer betrachten, fällt Ihnen auf, dass sobald eine Komponente gezogen wird, sich automatisch der Befehl „Komponente verschieben“ im Befehlsmanager einschaltet – Grund genug diesen uns einmal genauer anzuschauen:

Wenn dieser Befehl nicht explizit ausgewählt wird, agiert SOLIDWORKS mit der Option „Standard-Ziehen“ – Diese berücksichtigt die Verknüpfungen, nicht aber die Kollisionen, die entstehen können.

Schritt 4

Einen Schritt weiter geht die Option „Kollisionsprüfung“. Diese prüft die Kollision zwischen dem Teil, was bewegt wird und dem Rest der Baugruppe:

Die Option „Physikalische Dynamik“ hingegen, bewegt alle Teile gemäss Ihrer Geometrie, ohne dass dazu eine Verknüpfung erstellt werden muss:

Schritt 5

In diesem Beispiel wird vielleicht nicht ganz so gut ersichtlich, warum diese Art von Bewegung so interessant sein kann. Vielleicht wird das aber ersichtlicher mit einer anderen Baugruppe: Hier handelt es sich um das klassische Malteserkreuzgetriebe An dieser Stelle wird es denkbar schwer mit klassischen Verknüpfungen die Bewegung zu realisieren, da die Nabe jedes Mal eine neue Bahn als Verknüpfung hätte.

Schritt 6

Hier glänzt SOLIDWORKS mit der Anwendung der „Physikalischen Dynamik“.

Schritt 7

Wir können nun noch einen Schritt weiter gehen und diese Möglichkeiten in einer Bewegungsanalyse ausgeben:

Hierbei können noch weitere Parameter wie „Schwerkraft“ und „Kontakte“ definiert werden. Damit ist es spielend möglich komplexe Bewegungsabläufe mit SOLIDWORKS zu analysieren und dem Kunden die Ergebnisse näher zu bringen!

Schritt 8

Mit diesen Möglichkeiten kann nun auch spielend einfach eine Murmelbahn simuliert werden:


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.